<style type="text/css">
	.balance-c { padding: 5px 30px 5px 0; font-size: 16px; background-color: #D7FFB0; border-bottom: 1px solid #ccc; text-align: right; margin: 10px 0 0 0; }
</style>

<script type="text/javascript">
	window.extendPopup.addEvent('loaded', function () {
		var self = this;
		
		
		$('extension').addEvent('change', function(){
			if ( this.getSelected().get('rel') ) {
				$('e-price').set('html', this.getSelected().get('rel'));
				$$('input[name=amount]')[0].set('value', this.getSelected().get('rel'));
			}
		});
		
		$('extension').fireEvent('change');
		
		var initTransferTypes = function () {
			var choose = function (choice) {
				var map = {
					all: [ 'first_name', 'last_name', 'country_id', 'city', 'var_symbol', 'transaction_id', 'pull_person_id', 'mtcn', 'comment', 'webmoney_account', 'website_id' ],
					0: [  ],
					1: [ 'first_name', 'last_name', 'country_id', 'var_symbol', 'comment' ],
					2: [ 'first_name', 'last_name', 'country_id', 'city', 'pull_person_id', 'mtcn', 'comment' ],
					3: [ 'first_name', 'last_name', 'transaction_id', 'comment', 'website_id' ],
					4: [ 'first_name', 'last_name', 'comment' ],
					5: [ 'first_name', 'last_name', 'transaction_id', 'comment', 'webmoney_account' ],
					6: [ 'first_name', 'last_name' ]
				};

				map.all.each(function (name) {
					var el = this.content.getElement('*[name=' + name + ']');
					el.set('disabled', 'disabled');
					el.getParent('.inner').addClass('disabled');
				}.bind(this));

				if ( $chk(map[choice]) ) {
					map[choice].each(function (name) {
						var el = this.content.getElement('*[name=' + name + ']');

						if ( choice == 5 ) {
							if ( name == 'first_name' || name == 'last_name' ) {
								el.getPrevious('label').getElement('span.required').destroy();
							}
							else if ( name == 'transaction_id' ) {
								new Element('span', {
									'class': 'required',
									html: ' *'
								}).inject(el.getPrevious('label'));
							}
						}

						el.set('disabled', null);
						el.getParent('.inner').removeClass('disabled');
					}.bind(this));
				}
				else {
					return;
				}
			}.bind(this);
			
			var select = this.content.getElement('select[name=transfer_type_id]');
			select.addEvent('change', function () { 
				choose(this.getSelected()[0].get('value'));
			});

			choose(0);
		}.bind(this);
		
		initTransferTypes();

		this.removeEvents('loaded');
	});
</script>

<form class="form-common" action="/billing/packages/extend-package?id=<?= $this->op_id ?>" method="post">
	<p class="bold">You can simply prolong current package by choosing the number of days required.</p>
	<p class="bold">Attention: each package can be extended only once by a maximum of 6 days.</p>
	
	<input type="hidden" value="2" name="amount" />
	<div class="inner">
		<label for="extension">Choose Extension <span class="required">*</span></label>
		<select id="extension" name="extension" class="w12">
			<? foreach ( $this->extend_products as $prod ): ?>
				<option rel="<?= $prod->price ?>" value="<?= $prod->id ?>"><?= __($prod->name) ?></option>
			<? endforeach ?>
		</select>
	</div>	
	
	<div class="inner">
		<label for="transfer_type_id">Transfer Type <span class="required">*</span></label>
		<select id="transfer_type_id" name="transfer_type_id" class="w12">
			<option value="0"> - - - </option>
			<? $m_t = new Model_Billing_Transfers(); ?>
			<? foreach ( $m_t->getTransferTypes() as $type ): ?>
			<?
				if ( Cubix_Application::getId() == APP_6A && $type->id == 2 ) {
					continue;
				}
			?>
			<option value="<?= $type->id ?>"><?= $type->name ?></option>
			<? endforeach ?>
		</select>
	</div>	
	
	
	<fieldset class="mt10">
		<legend>Transfer Details</legend>

		<div class="inner">
			<label for="first_name">First Name <span class="required">*</span></label>
			<input type="text" id="first_name" name="first_name" class="txt w16" value="" />
		</div>

		<div class="inner">
			<label for="last_name">Last Name <span class="required">*</span></label>
			<input type="text" id="last_name" name="last_name" class="txt w16" value="" />
		</div>

		<div class="clear"></div>

		<div class="inner">
			<label for="country">Country</label>
			<select id="country" name="country_id" class="w16">
				<option value="">- - -</option>
				<option value="" disabled="disabled">Important Countries</option>
				<? $model = new Model_Geography_Countries() ?>
				<? $c = false; foreach ( $model->ajaxGetAll(false) as $country ): ?>
				<? if ( ! $c && $country->ordering == 0 ): $c = true ?><option value="" disabled="disabled">-----------------------</option><? endif; ?>
				<option value="<?= $country->id ?>" <?= ( Cubix_Application::getById($this->request()->application_id)->country_id == $country->id ) ? 'selected="selected"' : '' ?>><?= $country->title ?></option>
				<? endforeach; ?>
			</select>
		</div>

		<div class="inner">
			<label for="city">City</label>
			<input type="text" id="city" name="city" class="txt w16" />
		</div>

		<div class="clear"></div>

		<div class="inner">
			<label for="var_symbol">Var. Symbol</label>
			<input type="text" id="var_symbol" name="var_symbol" class="txt w12" value="" />
		</div>

		<div class="inner">
			<label for="transaction_id">Transaction ID</label>
			<input type="text" id="transaction_id" name="transaction_id" class="txt w20" value="" />
		</div>
		<div class="clear"></div>

		<div class="inner">
			<label for="pull_person_id">Pull Person</label>
			<select name="pull_person_id" class="w14">
				<option value=""> - - - </option>
				<? $model = new Model_Billing_Transfers(); foreach ( $model->getPullPersons() as $person ): ?>
				<option value="<?= $person->id ?>"><?= $person->name ?></option>
				<? endforeach ?>
			</select>
		</div>

		<div class="inner">
			<label for="mtcn">MTCN</label>
			<input type="text" id="mtcn" name="mtcn" class="txt w18" value="" />
		</div>

		<div class="clear"></div>

		<div class="inner">
			<label for="webmoney_account">Webmoney Account <span class="required">*</span></label>
			<select name="webmoney_account" class="w14">
				<option value=""> - - - </option>
				<? $model = new Model_Billing_Transfers(); foreach ( $model->getWebmoneyAccounts() as $account ): ?>
				<option value="<?= $account->id ?>"><?= $account->account_type ?></option>
				<? endforeach ?>
			</select>
		</div>

		<div class="inner">
			<label for="website">Website</label>
			<select id="website" name="website_id" class="w16">
				<option value="">- - -</option>
				<option value="<?= Model_Billing_Transfers::WEBSITE_CARDGATE ?>">Cardgate</option>
				<option value="<?= Model_Billing_Transfers::WEBSITE_ADSGATE ?>">Adsgate</option>
			</select>
		</div>
		
		<div class="clear"></div>

		<div class="inner">
			<label for="comment">Comment</label>
			<textarea rows="1" id="comment" name="comment" class="txt w35"></textarea>
		</div>
	</fieldset>
	
	<div class="clear"></div>
	
	<div class="balance-c ">Extend Package Price: <b id="package-price"><span id="e-price">0.00</span> <?= $this->currency('symbol') ?></b></div>
</form>
